from django import forms

from davinci.icalendar.models import ICalSync

from durationwidget.widgets import TimeDurationWidget

class ICalSyncForm(forms.ModelForm):
    class Meta:
        model = ICalSync
        widgets = {
            'sync_interval': TimeDurationWidget(show_seconds=False)
        }
        fields = "__all__"
