from urllib.request import urlopen

import ics


def get_ical_from_url(ical_url):
    with urlopen(ical_url) as f:
        return f.read()


def split_events(data):
    c = ics.Calendar(data.decode('utf-8'))
    return c.events
